stages:
  - build
  - deploy

variables:
  VERSION: "3.4.4.1"

before_script:
  - env|sort
  - pwd

build:x86_64:
  image: ${CI_REGISTRY}/leenooks/ci-apt:x86_64
  stage: build
  script:
    - apt-get update
    - cd libcl; dpkg-buildpackage -us -uc; cd ..
    - mkdir build
    - ls -al ./
    - mv ./${CI_PROJECT_NAME}*.deb ./build/
  tags:
    - apt
    - x86_64
  only:
    - master
  artifacts:
    paths:
    - build/*deb
    expire_in: 1 week

deploy:x86_64:
  stage: deploy
  dependencies:
    - build:x86_64
  only:
    - master
  script:
    - reprepro -b /apt includedeb $(awk -F"[)(]+" '/VERSION=/ {print $2}' /etc/os-release) build/${CI_PROJECT_NAME}_${VERSION}*.deb
  tags:
    - reprepro
